Summary:	Gather statistics from installed packages
Name:		rpmstats
Version:	0.6.1
Release:	%mkrel 21
Source0:	%{name}-%{version}.tar.bz2
Patch0:		rpm-4.6-adapt.patch
Patch1:		fix-bad-deref.patch
Patch2:		drop-old-rpm-support.patch
License:	GPL
Group:		System/Packaging
Url:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/rpmstats
BuildRequires:	pkgconfig(rpm) >= 4.12.90

%description
rpmstats retrieves statistics about installed packages.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%makeinstall

%files
%doc ChangeLog
%doc %{_mandir}/*/*
%{_bindir}/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.6.1-21.mga9
+ Revision: 1829690
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.6.1-20.mga8
+ Revision: 1531287
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 10 2019 tv <tv> 0.6.1-19.mga8
+ Revision: 1439337
- rebuild for rpm-4.15

* Sun Sep 23 2018 umeabot <umeabot> 0.6.1-18.mga7
+ Revision: 1300852
- Mageia 7 Mass Rebuild
+ tv <tv>
- patch 2: drop support for _very old_ rpm versions

* Thu Sep 07 2017 tv <tv> 0.6.1-17.mga7
+ Revision: 1151728
- patch 1: fix decade old dereference of freed memory pointer
  (eg: when using %%_install_langs and some translation files are not installed)

* Thu Sep 07 2017 tv <tv> 0.6.1-16.mga7
+ Revision: 1151723
- patch 0: adapt to rpm 4.6 changes: headerGetEntry -> headerGet
- rebuild for new rpm

* Fri Feb 12 2016 umeabot <umeabot> 0.6.1-15.mga6
+ Revision: 958782
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 tv <tv> 0.6.1-14.mga6
+ Revision: 873246
- submit to core/release

* Sun Aug 23 2015 tv <tv> 0.6.1-13.mga6
+ Revision: 868810
- rebuild for rpm-4.13

* Sun Aug 23 2015 tv <tv> 0.6.1-12.mga6
+ Revision: 868200
- rebuild for rpm-4.13

* Sat Aug 01 2015 tv <tv> 0.6.1-11.mga6
+ Revision: 860465
- rebuild for rpm-4.13

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-10.mga5
+ Revision: 748414
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-9.mga5
+ Revision: 688714
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1-8.mga4
+ Revision: 521428
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.6.1-7.mga3
+ Revision: 390825
- revert install
- update rpm group

* Mon Jan 14 2013 luigiwalser <luigiwalser> 0.6.1-6.mga3
+ Revision: 381133
- fix for changed _libexecdir
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 0.6.1-4.mga3
+ Revision: 332300
- rebuild for new rpm

* Tue Jun 12 2012 tv <tv> 0.6.1-3.mga3
+ Revision: 259951
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 0.6.1-2.mga3
+ Revision: 259374
- rebuild for new rpm-4.10.0

* Tue Jan 03 2012 pterjan <pterjan> 0.6.1-1.3.mga2
+ Revision: 190187
- Rebuild for new rpm

* Mon Apr 18 2011 ennael <ennael> 0.6.1-1.2.mga2
+ Revision: 87701
- update to proper version
- clean spec file
- imported package rpmstats


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-2mdv2011.0
+ Revision: 607377
- rebuild

* Wed Nov 24 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7-1mdv2011.0
+ Revision: 600807
- new release:
  	o refactorized and rewrite for native rpm5 api
  	o get rid of reports about missing files that we don't care about
  	o fix memleaks
  	o add signal handler so rpmstats can be interrupted by ie. Ctrl+C

* Tue Jan 05 2010 Pascal Terjan <pterjan@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 486313
- Fix memory corruption (#56176)

* Tue Sep 22 2009 Pascal Terjan <pterjan@mandriva.org> 0.6-1mdv2010.0
+ Revision: 447042
- 0.6

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new rpm

* Mon Jul 07 2008 Olivier Blin <oblin@mandriva.com> 0.5.1-3mdv2009.0
+ Revision: 232565
- do not package debug files in main package

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.5.1-2mdv2009.0
+ Revision: 225334
- rebuild

* Tue Mar 04 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5-3mdv2008.1
+ Revision: 178770
- 0.5.1:
  	o better version detection
  	o rpm5.org support
- drop Prefix tag
- cosmetics

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun May 07 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5-3mdk
- rebuild for sparc

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5-2mdk
- rebuild for rpm 4.4

* Thu Jan 27 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- don't manage menu files (bug #13209)

* Fri Jan 21 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.4.1-1mdk
- rebuild

